---
updatedAt: 2025-06-12T23:58:16.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List Payments

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payments": {
      "get": {
        "summary": "List Payments",
        "description": "",
        "operationId": "list-payments",
        "parameters": [
          {
            "name": "amount(gte)",
            "in": "query",
            "description": "Greater than or equal to the payment amount.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "amount(lte)",
            "in": "query",
            "description": "Less than or equal to the payment amount.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "createdAt(gte)",
            "in": "query",
            "description": "Greater than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createdAt(lte)",
            "in": "query",
            "description": "Less than or equal to the created date. [ISO 8601 Date](https://en.wikipedia.org/wiki/ISO_8601) format. e.g. `2021-11-18`",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code. Accepts multiple codes.",
            "schema": {
              "type": "string",
              "enum": [
                "EUR",
                "GBP"
              ]
            }
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Direction of the Payment. Multiple values can be provided.",
            "schema": {
              "type": "string",
              "enum": [
                "PAYIN",
                "PAYOUT",
                "TRANSFER"
              ]
            }
          },
          {
            "name": "endUserId",
            "in": "query",
            "description": "Id of the End User on whose Fiat Account the Payment was created.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fromId",
            "in": "query",
            "description": "Id of the Fiat Account, Virtual Account or Payer from where the Payment was made.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "One of more Payment id's. Multiple `id` params can be provided.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "memberReview.decision",
            "in": "query",
            "description": "Decision taken by a Member on a Payment (Payin) if it went through the Member Review flow.",
            "schema": {
              "type": "string",
              "enum": [
                "ACCEPT",
                "REJECT",
                "REJECT_AND_RETURN",
                "NONE"
              ]
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "owner.type",
            "in": "query",
            "schema": {
              "type": "string",
              "enum": [
                "MEMBER",
                "END_USER"
              ]
            }
          },
          {
            "name": "paymentScheme",
            "in": "query",
            "description": "Payment Scheme that was used to process the Payment. Accepts multiple Payment Schemes.",
            "schema": {
              "type": "string",
              "enum": [
                "FPS",
                "CHAPS",
                "SCT",
                "EAGLE_NET_TRANSFER"
              ]
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Search by the Payment `id` or `reference`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Status of the Payment. Accepts multiple statues.",
            "schema": {
              "type": "string",
              "enum": [
                "CREATED",
                "COMPLIANCE_REVIEW",
                "PROCESSING",
                "COMPLETED",
                "FAILED",
                "REJECTED",
                "RETURNED"
              ]
            }
          },
          {
            "name": "toId",
            "in": "query",
            "description": "Id of the Fiat Account, Virtual Account or Payee to which the Payment was made.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n    \"id\": \"pmt_nx83lr41ov7dy5va2g\",\n    \"fromId\": \"fac_ejl2vpn1m305rxko6b\",\n    \"toId\": \"pye_oka2yeb7y6d15np3jv\",\n    \"reference\": \"Fiat Withdrawal\",\n    \"effectiveReference\": \"Fiat Withdrawal\",\n    \"amount\": \"0.01\",\n    \"currency\": \"GBP\",\n    \"paymentScheme\": \"FPS\",\n    \"paymentReturnId\": null,\n    \"memberReview\": null,\n    \"status\": \"CREATED\",\n    \"createdAt\": 1637256502721,\n    \"updatedAt\": 1637256502721,\n    \"metadata\": {}\n    },\n    {...},\n    {...}\n]"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/payments \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```